Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag.effects
Class RubberBand

    java.lang.Object
      org.flexdock.docking.drag.effects.RubberBand

    public class RubberBand

extends Object

Author:
  Christopher Butler

Field Summary
`static String` | `DEBUG_OUTPUT`

Constructor Summary
`RubberBand()`

Method Summary
`void` | `clear()`
`void` | `paint(Graphics g, int x, int y, int width, int height)`
`void` | `paint(Graphics g, Rectangle r)`
`void` | `paint(int x, int y, int width, int height)`
`void` | `paint(Rectangle r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_OUTPUT

    public static final String DEBUG_OUTPUT

See Also:
  Constant Field Values

Constructor Detail

### RubberBand

    public RubberBand()

Method Detail

### paint

    public void paint(Graphics g,
                      int x,
                      int y,
                      int width,
                      int height)

### paint

    public void paint(int x,
                      int y,
                      int width,
                      int height)

### paint

    public void paint(Rectangle r)

### paint

    public void paint(Graphics g,
                      Rectangle r)

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD